#speedup aliases for selecting/viewing browser
 alias _header_get    "{\l}{current_ua}_get{\r}"
 alias _header_getref "{\l}{current_ua}_getref{\r}"
 alias _header_img    "{\l}{current_ua}_img{\r}"
 alias _header_post   "{\l}{current_ua}_post{\r}"
 alias _cua_desc      "{\l}{current_ua}_desc{\r}"
 alias xset_ua1 "set header_get {_header_get};set header_getref {_header_getref};set header_img {_header_img};set header_post {_header_post};set cua_desc {_cua_desc}"
 alias xset_ua2 "resolve header_get;resolve header_getref;resolve header_img;resolve header_post;resolve cua_desc"
 set ua_list "Seznam dostupnch prohle:{\n}------------------------------{\n}"
 #these are meant to be typed in console (or used in script file)
 alias uview "write 'Momentln prohle: {current_ua}{\n}({cua_desc})'"
 alias uhelp "write 'Pkazy na volbu prohlee{\n}-----------------------------{\n}uasetup: vyvol dialog na zmnu prohlee{\n}ulist: vype vechny dostupn prohlee{\n}uview: vype zvolen prohle{\n}uset:  nasvav prohle (pouij jmno z ulist){\n}uset nastav header_get, header_getref, header_img a header_post{\n}pouij jedno z toho pomoc {\b}set header {\l} <metoda kterou potebuje> {\r}{\b}{\n}ucheck: vype jak vypadaj hlaviky poslan na server'"
 alias uset "set current_ua {param1};xset_ua1;xset_ua2;xset_ua2"
 alias ulist "write {ua_list}"
 alias _current_ua ""

#note: you must define "post_data" and "post_len" (data and length of data)
# before using any of the POST headers (post_data must be 'urlencoded')
# post not fully finished -need some UrlEncode functions.

#ua_* are used by ie302_16bit, ua_os by all ie*_16bit
 alias ua_pixels "800x600"
 alias ua_color "color32"
 alias ua_os "Windows 3.1"  #16 bit versions of IE 2.x and 3.x report
 alias ua_cpu "x86"	    #windows 3.1 even when run on win95 and higher

#headers
 alias ie302_16bit_desc   "Micros~1 Internet Explorer 3.02 16bit"
 set ua_list "{ua_list}ie302_16bit: {ie302_16bit_desc}{\n}"
 set _current_ua "{_current_ua}ie302_16bit{\n}"
 alias ie302_16bit_get    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: application/x-x509-ca-cert{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: multipart/mixed{\n}Accept: multipart/x-mixed-replace{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 3.02; {ua_os}){\n}UA-pixels: {ua_pixels}{\n}UA-color: {ua_color}{\n}UA-OS: {ua_os}{\n}UA-CPU: {ua_cpu}{\n}Host: {server_port}{\n}{proxytoken}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 alias ie302_16bit_getref "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: application/x-x509-ca-cert{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: multipart/mixed{\n}Accept: multipart/x-mixed-replace{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 3.02; {ua_os}){\n}UA-pixels: {ua_pixels}{\n}UA-color: {ua_color}{\n}UA-OS: {ua_os}{\n}UA-CPU: {ua_cpu}{\n}Referer: {referer}{\n}Host: {server_port}{\n}{proxytoken}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 alias ie302_16bit_img    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 3.02; {ua_os}){\n}UA-pixels: {ua_pixels}{\n}UA-color: {ua_color}{\n}UA-OS: {ua_os}{\n}UA-CPU: {ua_cpu}{\n}Referer: {referer}{\n}Host: {server_port}{\n}{proxytoken}Connection: Keep-Alive{\n}Pragma: no-cache{\n}{cookiedata}{\n}"
 alias ie302_16bit_post   "POST {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: application/x-x509-ca-cert{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: multipart/mixed{\n}Accept: multipart/x-mixed-replace{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 3.02; {ua_os}){\n}UA-pixels: {ua_pixels}{\n}UA-color: {ua_color}{\n}UA-OS: {ua_os}{\n}UA-CPU: {ua_cpu}{\n}Referer: {referer}{\n}Host: {server_port}{\n}{proxytoken}Connection: Keep-Alive{\n}Pragma: no-cache{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias ie20_16bit_desc   "Micros~1 Internet Explorer 2.0 16bit"
 set ua_list "{ua_list}ie20_16bit:  {ie20_16bit_desc}{\n}"
 set _current_ua "{_current_ua}ie20_16bit{\n}"
 alias ie20_16bit_get    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/1.22 (compatible; MSIE 2.0;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 alias ie20_16bit_getref "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/1.22 (compatible; MSIE 2.0;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 alias ie20_16bit_img    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}User-Agent: Mozilla/1.22 (compatible; MSIE 2.0;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 alias ie20_16bit_post   "POST {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/1.22 (compatible; MSIE 2.0;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}{\n}"

 alias ie21_16bit_desc   "Micros~1 Internet Explorer 2.1 16bit"
 set ua_list "{ua_list}ie21_16bit:  {ie21_16bit_desc}{\n}"
 set _current_ua "{_current_ua}ie21_16bit{\n}"
 alias ie21_16bit_get    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 2.1;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 alias ie21_16bit_getref "GET {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 2.1;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 alias ie21_16bit_img    "GET {proxypart}/{document} HTTP/1.0{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 2.1;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 alias ie21_16bit_post   "POST {proxypart}/{document} HTTP/1.0{\n}Accept: */*, q=0.300{\n}Accept: audio/x-aiff{\n}Accept: audio/basic{\n}Accept: image/x-xbitmap{\n}Accept: image/jpeg{\n}Accept: image/gif{\n}Accept: text/plain{\n}Accept: text/html{\n}User-Agent: Mozilla/2.0 (compatible; MSIE 2.1;  {ua_os}){\n}{proxytoken}Connection: Keep-Alive{\n}Referer: {referer}{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias n408_16bit_desc   "Netscape Communicator 4.08 16bit"
 set _current_ua "{_current_ua}n408_16bit{\n}"
 set ua_list "{ua_list}n408_16bit:  {n408_16bit_desc}{\n}"
 alias n408_16bit_get    "GET {proxypart}/{document} HTTP/1.0{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.08 [en] (Win16; I){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}{cookiedata}{\n}"
 alias n408_16bit_getref "GET {proxypart}/{document} HTTP/1.0{\n}Referer: {referer}{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.08 [en] (Win16; I){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}{cookiedata}{\n}"
 set   n408_16bit_img	 {n408_16bit_getref}
 alias n408_16bit_post   "POST {proxypart}/{document} HTTP/1.0{\n}Referer: {referer}{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.08 [en] (Win16; I){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en,cs{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias n6p1_desc   "Netscape Communicator 6 Preview 1 (Win98)"
 set _current_ua "{_current_ua}n6p1{\n}"
 set ua_list "{ua_list}n6p1:  {n6p1_desc}{\n}"
 alias n6p1_get		"GET {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}User-Agent: Mozilla/5.0 (Windows; N; Win98; en-US; m14) Netscape6/6.0b1{\n}Accept: */*{\n}Accept-Language: en{\n}{cookiedata}{\n}"
 alias n6p1_getref	"GET {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}User-Agent: Mozilla/5.0 (Windows; N; Win98; en-US; m14) Netscape6/6.0b1{\n}Accept: */*{\n}Accept-Language: en{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 set   n6p1_img		{n6p1_getref}
 alias n6p1_post	"POST {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}User-Agent: Mozilla/5.0 (Windows; N; Win98; en-US; m14) Netscape6/6.0b1{\n}Accept: */*{\n}Accept-Language: en{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias ie5_desc   "Micros~1 Internet Explorer 5.0 (Win98)"
 set _current_ua "{_current_ua}ie5{\n}"
 set ua_list "{ua_list}ie5:  {ie5_desc}{\n}"
 alias ie5_get		"GET {proxypart}/{document} HTTP/1.0{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Accept-Language: en-gb{\n}Accept-Encoding: gzip, deflate{\n}User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt){\n}Host: {server_port}{\n}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 alias ie5_getref	"GET {proxypart}/{document} HTTP/1.0{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Referer: {referer}{\n}Accept-Language: en-gb{\n}Accept-Encoding: gzip, deflate{\n}User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt){\n}Host: {server_port}{\n}Connection: Keep-Alive{\n}{cookiedata}{\n}"
 set   ie5_img		{ie5_getref}
 alias ie5_post		"POST {proxypart}/{document} HTTP/1.0{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*{\n}Referer: {referer}{\n}Accept-Language: en-gb{\n}Content-Type: application/x-www-form-urlencoded{\n}Accept-Encoding: gzip, deflate{\n}User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt){\n}Host: {server_port}{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias n472_desc   "Netscape Communicator 4.72 (Win98)"
 set _current_ua "{_current_ua}n472{\n}"
 set ua_list "{ua_list}n472:  {n472_desc}{\n}"
 alias n472_get		"GET {proxypart}/{document} HTTP/1.0{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.72 [en] (Win98; U){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en,cs{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}{cookiedata}{\n}"
 alias n472_getref	"GET {proxypart}/{document} HTTP/1.0{\n}Referer: {referer}{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.72 [en] (Win98; U){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en,cs{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}{cookiedata}{\n}"
 set   n472_img		{n472_getref}
 alias n472_post	"POST {proxypart}/{document} HTTP/1.0{\n}Referer: {referer}{\n}Connection: Keep-Alive{\n}User-Agent: Mozilla/4.72 [en] (Win98; U){\n}Host: {server_port}{\n}Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*{\n}Accept-Encoding: gzip{\n}Accept-Language: en,cs{\n}Accept-Charset: iso-8859-1,*,utf-8{\n}Content-type: application/x-www-form-urlencoded{\n}{cookiedata}Content-length: {post_len}{\n}{\n}{post_data}{\n}"

 alias nethack_desc     "{appname} {appversion} (small headers)";resolve nethack_desc
 set ua_list "{ua_list}nethack:     {nethack_desc}{\n}"
 set _current_ua "{_current_ua}nethack{\n}"
 alias nethack_get	 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {appname} {appversion}{\n}Host: {\l}server_port{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias nethack_getref	 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {appname} {appversion}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias nethack_img	 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {appname} {appversion}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias nethack_post	 "POST {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {appname} {appversion}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}Content-type: application/x-www-form-urlencoded{\n}{\l}cookiedata{\r}Content-length: {\l}post_len{\r}{\n}{\n}{\l}post_data{\r}{\n}"
 resolve nethack_get;resolve nethack_getref;resolve nethack_img;resolve nethack_post

 alias small_desc     "Nejmen mon header"
 set ua_list "{ua_list}small:       {small_desc}{\n}"
 set _current_ua "{_current_ua}small{\n}"
 alias small_get	 "GET {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}{cookiedata}{\n}"
 alias small_getref	 "GET {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}Referer: {referer}{\n}{cookiedata}{\n}"
 alias small_img	 "GET {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}{cookiedata}{\n}"
 alias small_post	 "POST {proxypart}/{document} HTTP/1.0{\n}Host: {server_port}{\n}{cookiedata}{\n}{post_data}{\n}"

 alias simple_desc    "Simple request (HTTP/0.9, podporovno pouze GET)"
 set ua_list "{ua_list}simple:      {simple_desc}{\n}"
 set _current_ua "{_current_ua}simple{\n}"
 alias simple_get	 "GET {proxypart}/{document}{\n}"

#insert definitions here

#This MUST be last --->
 alias user_desc     "Automatic Web Downloader 3.0"
 set ua_list "{ua_list}user:        Nastav {\b}user_desc{\b} na jmno, kter chce poslat na server{\n}             Nyn je:{\b}{user_desc}{\b}{\n}"
 set _current_ua "{_current_ua}user"
 alias user_get		 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {\l}user_desc{\r}{\n}Host: {\l}server_port{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias user_getref	 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {\l}user_desc{\r}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias user_img		 "GET {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {\l}user_desc{\r}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}{\l}cookiedata{\r}{\n}"
 alias user_post	 "POST {\l}proxypart{\r}/{\l}document{\r} HTTP/1.0{\n}Accept: */*{\n}User-Agent: {\l}user_desc{\r}{\n}Host: {\l}server_port{\r}{\n}Referer: {\l}referer{\r}{\n}Content-type: application/x-www-form-urlencoded{\n}{\l}cookiedata{\r}Content-length: {\l}post_len{\r}{\n}{\n}{\l}post_data{\r}{\n}"
 resolve user_get;resolve user_getref;resolve user_img;resolve user_post
